Skip to main content
GET
/
api
/
v3
/
departments
/
{id}
Get Departement by id (v3)
curl --request GET \
  --url https://{host}/api/v3/departments/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/departments/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/departments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "code": "<string>",
    "id": 123,
    "hierarchy": "<string>",
    "parentId": "<string>",
    "isActive": true,
    "position": 55000000000000000000,
    "level": 123,
    "sortOrder": 2,
    "headID": 123,
    "head": {
      "id": 123,
      "name": "<string>",
      "url": "<string>"
    },
    "users": [
      {
        "id": 123,
        "name": "<string>",
        "url": "<string>"
      }
    ],
    "currentUsers": [
      {
        "id": 123,
        "name": "<string>",
        "url": "<string>"
      }
    ],
    "currentUsersCount": 1
  }
}
{
"Status": 123,
"Message": "<string>"
}
{
"Status": 123,
"Message": "<string>"
}
{
"Status": 123,
"Message": "<string>"
}
{
"Status": 123,
"Message": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer
required

ID of the department.

Response

OK

data
The Department resource · object
deprecated

Departments, to which users must be attached, are used by the different Lucca solutions for different purposes:

  • Define access scopes: for example to restrict the visibility of absences in the Lucca Absences schedule.
  • Filtering data in a report: our different reports generally allow to filter data according to the legal entity, the SSC, but also the department of the user.
  • Build the organization chart in Lucca Core HR. The departments are represented as a hierarchical tree with a parent/child relationship.

NB: You can have up to 9 levels of departments, and up to 99 departments under a single parent department. However, limiting the number of levels to 7 is recommended.

Example:
{
"id": 2,
"name": "Administration",
"code": "Administration",
"hierarchy": "/1.0/",
"parentId": "/",
"position": 10000000000000000000,
"sortOrder": 1,
"level": 1,
"isActive": true,
"headID": null,
"head": null,
"users": [
{
"id": 11,
"name": "Daniel Hernandez",
"url": "https://sandbox.ilucca-demo.net/api/v3/users/11"
},
{
"id": 36,
"name": "henri paul",
"url": "https://sandbox.ilucca-demo.net/api/v3/users/36"
}
],
"currentUsers": [
{
"id": 11,
"name": "Daniel Hernandez",
"url": "https://sandbox.ilucca-demo.net/api/v3/users/11"
},
{
"id": 36,
"name": "henri paul",
"url": "https://sandbox.ilucca-demo.net/api/v3/users/36"
}
],
"url": "https://sandbox.ilucca-demo.net/api/v3/departments/2"
}